import request from '@/config/axios'

export interface DmModuleVO {
  id: string
  modulename: string,
  moduletype: string,
  cycle: string,
  modulenavconfig: string
}

export interface DmModulePageReqVO extends PageParam {
  modulename?: string
}

// 查询DmModule列表
export const getDmModulePage = (params: DmModulePageReqVO) => {
  return request.get({ url: '/model/pre/module/page', params })
}

// 查询DmModule详情
export const getDmModule = (id: number) => {
  return request.get({ url: `/model/pre/module/get/${id}`})
}

// 新增DmModule
export const createDmModule = (data: DmModuleVO) => {
  return request.post({ url: '/model/pre/module/create', data })
}

// 修改DmModule
export const updateDmModule = (data: DmModuleVO) => {
  return request.put({ url: '/model/pre/module/update', data })
}

// 删除DmModule
export const deleteDmModule = (id: number) => {
  return request.delete({ url: '/model/pre/module/delete?id=' + id })
}
